# USe python3.9 
FROM docker.io/python:3.9

LABEL maintainer="Shubham Sharma <shubham@rebhu.com>"

# create work dir
WORKDIR /code

# copy requirements
COPY ./requirements.txt /code/requirements.txt

# install packages
RUN pip install --no-cache-dir --upgrade -r /code/requirements.txt

# set aws credentials
# RUN aws configure<<EOF
# ${aws_access_key_id}
# ${aws_secret_access_key}
# ${region}
# ${output}
# EOF

# 
COPY ./app /code/app

COPY ./exec.sh /code/exec.sh

RUN chmod 700 /code/exec.sh

# 
# CMD ["uvicorn", "app.main:app", "--host", "0.0.0.0", "--port", "5000"]
CMD ["/code/exec.sh"]
